package org.one.stone.soup.grfx;

import java.awt.*;
/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class FontHelper {
private FontHelper() {
	super();
}
public static Font getFont(String face, String style, String size) {

	if(face==null)
	{
		face="Serif";
	}

	int styleV = Font.PLAIN;
	if(style!=null)
	{
		if(style.equals("BOLD"))
		{
			styleV = Font.BOLD;
		}
		else if(style.equals("ITALIC"))
		{
			styleV = Font.ITALIC;
		}
		else if(style.equals("BOLD-ITALIC"))
		{
			styleV = Font.BOLD | Font.ITALIC;
		}
	}

	int sizeV = 12;
	if(size!=null)
	{
		sizeV=Integer.parseInt(size);
	}

	Font font = new Font(face,styleV,sizeV);

	return font;
}
}
