package org.one.stone.soup.clipboard;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

 /**
	* The Clipable interface is implemented by any class wishing to be
	* able to be placed in the Java clipboard.
	* The methods would be called by the controlling interface, and
	* the class would either use the Clipboard helper to store a text
	* representation of itself in the clipboard or set its own state
	* from the data help in the Clipboard
	*
*/

public interface Clipable {
public void fromClipboard();
public void toClipboard();
}
