package org.one.stone.soup.dfml;

import java.util.Vector;

import org.one.stone.soup.stringhelper.StringOutputStream;

public class DfmlDataDefinition {

	public static final int FILE_FLAVOUR = 0;
	public static final int STRING_FLAVOUR = 1;

	public int flavour;
	
	public String sourceFile;
	public String targetPath;

	public String sourceData;
	public StringOutputStream targetTemplateData = new StringOutputStream();
	public StringOutputStream targetInterfaceData = new StringOutputStream();
	public StringOutputStream targetStubData = new StringOutputStream();

	public String targetTemplateFile;
	public String targetInterfaceFile;
	public String targetStubFile;
		
	public String packageName;
	public String className;
		
	public Vector tags = new Vector();
	public Vector data = new Vector();

	public Vector callFns = new Vector();
	public Vector clauseFns = new Vector();	
public DfmlDataDefinition() {
	this(FILE_FLAVOUR);
}
public DfmlDataDefinition(int flavour) {
	super();

	this.flavour = flavour;
}
}
