package org.one.stone.soup.xapp;

import org.one.stone.soup.xml.XmlElement;

public abstract class XappActionAdapter {

	private String alias;
	private XmlElement definition;
	
	public XappActionAdapter(XmlElement definition)
	{
		this.definition = definition;
		this.alias = definition.getAttributeValueByName("name");
	}

	public String getAlias()
	{
		return alias;
	}
	
	public XmlElement getDefinition()
	{
		return definition;
	}
	
	public abstract XmlElement getMenu();
	public abstract XmlElement getActions();
	
}
